2013年4月21日日曜日

heroku db:push は deprecated

heroku db:push すると「Taps Server Error: PGError: ERROR:  time zone displacement out of range: "2011-10-22 12:00:00.000000+5894056800"」などというエラーになって、ネットで調べると Ruby のバージョンを Heroku に合わせて 1.9.2 にすればいいという情報がいっぱいあるんだが、rbenv で 1.9.2-p320 に下げても同じエラーが出てしまう。

もちょっと調べたら、そもそも db:push 自体が deprecated だったようだ。


というわけで、PG Backups を使うのが正解らしい。


0 件のコメント:

コメントを投稿